/*
 * @copyright Copyright (c) OX Software GmbH, Germany <info@open-xchange.com>
 * @license AGPL-3.0
 *
 * This code is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with OX App Suite.  If not, see <https://www.gnu.org/licenses/agpl-3.0.txt>.
 *
 * Any use of the work other than as authorized under this license or copyright law is prohibited.
 *
 */

package com.openexchange.mobile.api.facade.services;

import java.util.List;

import com.openexchange.mobile.api.facade.auth.SessionData;
import com.openexchange.mobile.api.facade.connectors.ConnectorFactory;
import com.openexchange.mobile.api.facade.connectors.ConnectorFactoryFactory;
import com.openexchange.mobile.api.facade.connectors.impl.PnsSubscribeConnector;
import com.openexchange.mobile.api.facade.connectors.impl.PnsUnsubscribeConnector;

import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
public class PushService {

    private final ConnectorFactoryFactory connectorFactoryFactory;

    public void subscribe(SessionData sessionData, String transport, String token, List<String> topics) {
        ConnectorFactory connectorFactory = connectorFactoryFactory.getConnectorFactory();
        PnsSubscribeConnector connector = connectorFactory.getPnsSubscribeConnector(sessionData, transport, token, topics);
        connector.execute();
    }

    public void unsubscribe(SessionData sessionData, String transport, String token) {
        ConnectorFactory connectorFactory = connectorFactoryFactory.getConnectorFactory();
        PnsUnsubscribeConnector connector = connectorFactory.getPnsUnsubscribeConnector(sessionData, transport, token);
        connector.execute();
    }

}
